php kann nicht auf Datenbakserver zugreifen

Dieses Thema im Forum "Web-Know-how für die Homepage" wurde erstellt von Fuhrmeister, 28. März 2004.

Status des Themas:
Es sind keine weiteren Antworten möglich.
  1. Fuhrmeister

    Fuhrmeister Kbyte

    Registriert seit:
    15. Februar 2001
    Beiträge:
    455
    Hallo

    Ich versuche bei mir zuhause eine kleines Forum auf zu machen, ich nehme das phpbb2 forum von phpbb.de, in neuster Version.
    Ich habe Windows 2003 Server mit IIS6 und PHP5, dann suchte ich einen Datenbankserver, ich stieß auf MySQL in der Version 5, Jedoch bietet das Forum nur unterstützung für MySQL 4.x; MySQL 3.x; PostgreSQL 7.x; MS SQL Server 7/2000; MS Access [ODBC] und MS SQL Server [ODBC], nachdem ich alle mal ausprobiert hatte und immer wieder die Fehlermeldung kam
    . Kam ich auf die Idee MYSQL 4.1 auszuprobieren, MySQL 4.0 und MYSQL 3.2, bei allen kam der gleiche Fehler. Dann dachte ich ich probiere den MS SQL Server 2000 SP3a, hier kommt jetzt die Fehlermeldung, wenn ich MS SQL Server [ODBC] auswähle :
    Was muss ich machen, damit das Funktioniert, mir ist aufgefallen, in der php.ini ist gar kein Abschnitt für MS SQL vorgesehen, muss ich da vielleicht irgendwas ändern?

    Kann mir da jemand helfen, mein Problem zu lösen.

    MFG 3Dfxatwork
     
  2. Fuhrmeister

    Fuhrmeister Kbyte

    Registriert seit:
    15. Februar 2001
    Beiträge:
    455
    Das Problem die älteren PHP versionen bekomme ich nicht drauf, da die den iis nur über cgi unterstützen, dann kommt da immer der fehler winsock.dll ... 1009, jedenfalls geht das nicht. Ich kann ja mal versuchen das irgendwie mit älteren PHP versionen zum laufen zu bringen.

    MFG 3Dfxatwork
     
  3. kalweit

    kalweit Hüter der Glaskugel

    Registriert seit:
    18. April 2000
    Beiträge:
    31.485
    Du hast eine merkwürdige Kombination an Software für dein Vorhaben gewählt. Soweit ich weiss ist in PHP5 eine native Unterstütung von mySQL vorhanden, ob diese überhaupt standardmäßig aktiviert ist kann ich auch nicht sagen, da php5 seine eigene Datenbank mitbringt. In der mySQL-Installation befindet sich zudem eine "my.ini" die als "my.cnf" eingerichtet werden muss, in der die Kommunikationsparameter festgelegt werden. In der php.ini sollte es dann nur noch einen Abschnitt geben, wo z.b. ein Standardpasswort enthalten sein kann (im safe mode funktioniert aber nicht). Wie du das Ganze jetzt aber an den IIS hängen kannst???

    Was das Forum anbetrifft, hören sich die unterstützen Datenbanken nach der Verwendung der Datenbankabsraktionsebene aus dem PEAR-Paket an. Selbiges muss natürlich für PHP installiert sein. Ob das Forum dann aber wirklich läuft, hängt davon ab ob das Forum überhaupt PHP5 kompatibel ist, da sich in php5 die OOP komplett gändert hat.

    Bevor du schlaflose Nächte hast empfehle ich einfach ein fertig konfiguriertes WAMP Paket zu installieren oder auf ein ASP-Forum auszuweichen.

    Gruss, Matthias
     
  4. Wingnut2

    Wingnut2 Viertel Gigabyte

    Registriert seit:
    12. Mai 2002
    Beiträge:
    2.660
    läuft die datenbank ?
    teste mal mit myphpadmin.

    mfg
     
Status des Themas:
Es sind keine weiteren Antworten möglich.

Diese Seite empfehlen